Emergency update needed for Amazon Kindle devices

A reminder for anyone who has a Kindle e-reader -- be sure to update it before tomorrow!

Amazon says if you have a Kindle made in 2012 and earlier you need to update your device before tomorrow. If you don't, it will not be able to download books from the cloud or the Kindle store and it won't be able to connect to the internet.

If you wait until after Tuesday, you will have to manually add the update using a desktop computer to regain access. And you'll be treated to this error message: "Your Kindle is unable to connect at this time. Please make sure you are within wireless range and try again. If the problem persists, please restart your Kindle from the Menu in Settings and try again."

Find the instructions for the critical software update from Amazon.

Not sure which Kindle you have? Check Amazon's help center.
Related Topics:
technologyamazonreadingbookse-books
(Copyright ©2016 KTRK-TV. All Rights Reserved.)

Load Comments